import { ChangeDetectorRef } from '@angular/core';
import { DrawerStateManagerService, StateListener } from '../state-listener.component';
import * as i0 from "@angular/core";
/**
 * [DrawerSubheader Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-drawer--readme)
 *
 * The `<blui-drawer-subheader>` is an optional section that renders below the header and above the body of the `<blui-drawer>`.
 * It can be used to support custom content (passed as children), such as filtering options or to display additional information.
 */
export declare class DrawerSubheaderComponent extends StateListener {
    /** Whether to show a dividing line below the SubHeader
     *
     * @default true
     * */
    divider: boolean;
    /** Hide subheader content when drawer is collapsed
     *
     * @default true
     * */
    hideContentOnCollapse: boolean;
    constructor(stateManagerService: DrawerStateManagerService, changeDetectorRef: ChangeDetectorRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerSubheaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DrawerSubheaderComponent, "blui-drawer-subheader", never, { "divider": "divider"; "hideContentOnCollapse": "hideContentOnCollapse"; }, {}, never, ["*"], false>;
}
